import { BaseAdapter } from '@jbrowse/core/data_adapters/BaseAdapter';
import type PluginManager from '@jbrowse/core/PluginManager';
import type { AnyConfigurationModel } from '@jbrowse/core/configuration';
import type { RegionsAdapter } from '@jbrowse/core/data_adapters/BaseAdapter';
import type { getSubAdapterType } from '@jbrowse/core/data_adapters/dataAdapterCache';
export default class FromConfigRegionsAdapter extends BaseAdapter implements RegionsAdapter {
    private features;
    constructor(config: AnyConfigurationModel, getSubAdapter?: getSubAdapterType, pluginManager?: PluginManager);
    getRegions(): Promise<{
        refName: string;
        start: number;
        end: number;
    }[]>;
}
