import FromConfigAdapter from '../FromConfigAdapter/FromConfigAdapter';
import type { RegionsAdapter } from '@jbrowse/core/data_adapters/BaseAdapter';
import type { Feature } from '@jbrowse/core/util/simpleFeature';
import type { NoAssemblyRegion } from '@jbrowse/core/util/types';
export default class FromConfigSequenceAdapter extends FromConfigAdapter implements RegionsAdapter {
    getFeatures(region: NoAssemblyRegion): import("rxjs").Observable<Feature>;
    getRegions(): Promise<{
        start: number;
        end: number;
        refName: string;
    }[]>;
}
