import { AdapterType } from '@jbrowse/core/pluggableElementTypes';
import configSchema from './configSchema';
export default function NcbiSequenceReportAliasAdapterF(pluginManager) {
    pluginManager.addAdapterType(() => {
        return new AdapterType({
            name: 'NcbiSequenceReportAliasAdapter',
            configSchema,
            getAdapterClass: () => import('./NcbiSequenceReportAliasAdapter').then(r => r.default),
            adapterMetadata: {
                hiddenFromGUI: true,
            },
        });
    });
}
