"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const material_1 = require("@mui/material");
const mobx_react_1 = require("mobx-react");
const BooleanEditor = (0, mobx_react_1.observer)(function ({ slot, }) {
    return ((0, jsx_runtime_1.jsxs)(material_1.FormControl, { children: [(0, jsx_runtime_1.jsx)(material_1.FormControlLabel, { label: slot.name, control: (0, jsx_runtime_1.jsx)(material_1.Checkbox, { checked: slot.value, onChange: evt => {
                        slot.set(evt.target.checked);
                    } }) }), (0, jsx_runtime_1.jsx)(material_1.FormHelperText, { children: slot.description })] }));
});
exports.default = BooleanEditor;
