"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const material_1 = require("@mui/material");
const mobx_react_1 = require("mobx-react");
const useSlotEditorStyles_1 = require("./useSlotEditorStyles");
const TypeSelector = (0, mobx_react_1.observer)(function ({ typeNameChoices, slot, slotName, onChange, }) {
    const { classes } = (0, useSlotEditorStyles_1.useSlotEditorStyles)();
    return ((0, jsx_runtime_1.jsx)(material_1.Paper, { className: classes.paper, children: (0, jsx_runtime_1.jsx)("div", { className: classes.paperContent, children: (0, jsx_runtime_1.jsx)(material_1.TextField, { value: slot.type, label: "Type", select: true, helperText: `Type of ${slotName} to use`, fullWidth: true, onChange: onChange, children: typeNameChoices.map(str => ((0, jsx_runtime_1.jsx)(material_1.MenuItem, { value: str, children: str }, str))) }) }) }));
});
exports.default = TypeSelector;
