"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = stateModelFactory;
const mst_1 = require("@jbrowse/core/util/types/mst");
const mobx_state_tree_1 = require("mobx-state-tree");
function stateModelFactory(pluginManager) {
    return mobx_state_tree_1.types
        .model('ConfigurationEditorWidget', {
        id: mst_1.ElementId,
        type: mobx_state_tree_1.types.literal('ConfigurationEditorWidget'),
        target: mobx_state_tree_1.types.safeReference(pluginManager.pluggableConfigSchemaType('track')),
    })
        .actions(self => ({
        setTarget(newTarget) {
            self.target = newTarget;
        },
    }));
}
