import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Checkbox, FormControl, FormControlLabel, FormHelperText, } from '@mui/material';
import { observer } from 'mobx-react';
const BooleanEditor = observer(function ({ slot, }) {
    return (_jsxs(FormControl, { children: [_jsx(FormControlLabel, { label: slot.name, control: _jsx(Checkbox, { checked: slot.value, onChange: evt => {
                        slot.set(evt.target.checked);
                    } }) }), _jsx(FormHelperText, { children: slot.description })] }));
});
export default BooleanEditor;
