import { jsx as _jsx } from "react/jsx-runtime";
import { SanitizedHTML } from '@jbrowse/core/ui';
import { TextField } from '@mui/material';
export default function ConfigurationTextField(props) {
    const { helperText } = props;
    return (_jsx(TextField, { ...props, helperText: _jsx(SanitizedHTML, { html: helperText || '' }), fullWidth: true, slotProps: {
            formHelperText: {
                component: 'div',
            },
        } }));
}
