import { ElementId } from '@jbrowse/core/util/types/mst';
import { types } from 'mobx-state-tree';
export default function stateModelFactory(pluginManager) {
    return types
        .model('ConfigurationEditorWidget', {
        id: ElementId,
        type: types.literal('ConfigurationEditorWidget'),
        target: types.safeReference(pluginManager.pluggableConfigSchemaType('track')),
    })
        .actions(self => ({
        setTarget(newTarget) {
            self.target = newTarget;
        },
    }));
}
